Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.core
Class Expressions

    java.lang.Object
      org.jboss.seam.core.Expressions

All Implemented Interfaces:
  Serializable

    @Scope(value=APPLICATION)
    @Intercept(value=NEVER)
    @Install(precedence=0)
    @Name(value="org.jboss.seam.core.expressions")
    public class Expressions

extends Object
implements Serializable

Factory for method and value bindings

Author:
  Gavin King
See Also:
  Serialized Form

Nested Class Summary
`static interface` | `Expressions.MethodBinding<T>`
`static interface` | `Expressions.ValueBinding<T>`

Constructor Summary
`Expressions()`

Method Summary
`Expressions.MethodBinding` | `createMethodBinding(String expression)`
`Expressions.ValueBinding` | `createValueBinding(String expression)`
`static Expressions` | `instance()`
`org.hibernate.validator.InvalidValue[]` | `validate(String propertyExpression, Object value)` Validate that a value can be assigned to the property identified by a value expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Expressions

    public Expressions()

Method Detail

### createValueBinding

    public Expressions.ValueBinding createValueBinding(String expression)

### createMethodBinding

    public Expressions.MethodBinding createMethodBinding(String expression)

### validate

    public org.hibernate.validator.InvalidValue[] validate(String propertyExpression,
                                                           Object value)

  Validate that a value can be assigned to the property identified by a value expression.

  Parameters:
    `propertyExpression` - a value expression
    `value` - the value that is to be assigned
  Returns:
    the validation failures, as InvalidValues

### instance

    public static Expressions instance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD